<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>gtkglextmm: gdkmm/gl/version.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.4 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="namespaces.html">Namespace List</a> | <a class="qindex" href="hierarchy.html">Class&nbsp;Hierarchy</a> | <a class="qindex" href="classes.html">Alphabetical&nbsp;List</a> | <a class="qindex" href="annotated.html">Class&nbsp;List</a> | <a class="qindex" href="dirs.html">Directories</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="namespacemembers.html">Namespace&nbsp;Members</a> | <a class="qindex" href="functions.html">Class&nbsp;Members</a> | <a class="qindex" href="globals.html">File&nbsp;Members</a> | <a class="qindex" href="examples.html">Examples</a></div>
<div class="nav">
<a class="el" href="dir_000000.html">gdkmm</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_000001.html">gl</a></div>
<h1>version.h File Reference</h1><code>#include &lt;<a class="el" href="gdkglext_2gdkmm_2gl_2defs_8h-source.html">gdkmm/gl/defs.h</a>&gt;</code><br>

<p>
Include dependency graph for version.h:<p><center><img src="gdkglext_2gdkmm_2gl_2version_8h__incl.png" border="0" usemap="#gdkmm/gl/version.h_map" alt=""></center>
<map name="gdkmm/gl/version.h_map">
<area href="gdkglext_2gdkmm_2gl_2defs_8h.html" shape="rect" coords="194,32,314,56" alt="">
</map>

<p>
This graph shows which files directly or indirectly include this file:<p><center><img src="gdkglext_2gdkmm_2gl_2version_8h__dep__incl.png" border="0" usemap="#gdkmm/gl/version.hdep_map" alt=""></center>
<map name="gdkmm/gl/version.hdep_map">
<area href="gdkglmm_8h.html" shape="rect" coords="196,8,281,32" alt="">
<area href="gtkglmm_8h.html" shape="rect" coords="332,8,414,32" alt="">
</map>

<p>
<a href="gdkglext_2gdkmm_2gl_2version_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="gdkglext_2gdkmm_2gl_2version_8h.html#a0">GDKGLEXTMM_MAJOR_VERSION</a>&nbsp;&nbsp;&nbsp;(1)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="gdkglext_2gdkmm_2gl_2version_8h.html#a1">GDKGLEXTMM_MINOR_VERSION</a>&nbsp;&nbsp;&nbsp;(2)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="gdkglext_2gdkmm_2gl_2version_8h.html#a2">GDKGLEXTMM_MICRO_VERSION</a>&nbsp;&nbsp;&nbsp;(0)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="gdkglext_2gdkmm_2gl_2version_8h.html#a3">GDKGLEXTMM_INTERFACE_AGE</a>&nbsp;&nbsp;&nbsp;(0)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="gdkglext_2gdkmm_2gl_2version_8h.html#a4">GDKGLEXTMM_BINARY_AGE</a>&nbsp;&nbsp;&nbsp;(0)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="gdkglext_2gdkmm_2gl_2version_8h.html#a5">GDKGLEXTMM_CHECK_VERSION</a>(major, minor, micro)</td></tr>

<tr><td colspan="2"><br><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">GDKMM_GL_VAR const int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="gdkglext_2gdkmm_2gl_2version_8h.html#a6">gdkglextmm_major_version</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">GDKMM_GL_VAR const int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="gdkglext_2gdkmm_2gl_2version_8h.html#a7">gdkglextmm_minor_version</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">GDKMM_GL_VAR const int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="gdkglext_2gdkmm_2gl_2version_8h.html#a8">gdkglextmm_micro_version</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">GDKMM_GL_VAR const int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="gdkglext_2gdkmm_2gl_2version_8h.html#a9">gdkglextmm_interface_age</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">GDKMM_GL_VAR const int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="gdkglext_2gdkmm_2gl_2version_8h.html#a10">gdkglextmm_binary_age</a></td></tr>

</table>
<hr><h2>Define Documentation</h2>
<a class="anchor" name="a4"></a><!-- doxytag: member="version.h::GDKGLEXTMM_BINARY_AGE" ref="a4" args="" --><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">#define GDKGLEXTMM_BINARY_AGE&nbsp;&nbsp;&nbsp;(0)          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
    </td>
  </tr>
</table>
<a class="anchor" name="a5"></a><!-- doxytag: member="version.h::GDKGLEXTMM_CHECK_VERSION" ref="a5" args="(major, minor, micro)" --><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">#define GDKGLEXTMM_CHECK_VERSION          </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">major,         <tr>
          <td class="md" nowrap align="right"></td>
          <td class="md"></td>
          <td class="md" nowrap>minor,         <tr>
          <td class="md" nowrap align="right"></td>
          <td class="md"></td>
          <td class="md" nowrap>micro&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
<b>Value:</b><div class="fragment"><pre class="fragment">(<a class="code" href="gdkglext_2gdkmm_2gl_2version_8h.html#a0">GDKGLEXTMM_MAJOR_VERSION</a> &gt; (major) ||                                         \
  (<a class="code" href="gdkglext_2gdkmm_2gl_2version_8h.html#a0">GDKGLEXTMM_MAJOR_VERSION</a> == (major) &amp;&amp; <a class="code" href="gdkglext_2gdkmm_2gl_2version_8h.html#a1">GDKGLEXTMM_MINOR_VERSION</a> &gt; (minor)) || \
  (<a class="code" href="gdkglext_2gdkmm_2gl_2version_8h.html#a0">GDKGLEXTMM_MAJOR_VERSION</a> == (major) &amp;&amp; <a class="code" href="gdkglext_2gdkmm_2gl_2version_8h.html#a1">GDKGLEXTMM_MINOR_VERSION</a> == (minor) &amp;&amp; \
   <a class="code" href="gdkglext_2gdkmm_2gl_2version_8h.html#a2">GDKGLEXTMM_MICRO_VERSION</a> &gt;= (micro)))
</pre></div>    </td>
  </tr>
</table>
<a class="anchor" name="a3"></a><!-- doxytag: member="version.h::GDKGLEXTMM_INTERFACE_AGE" ref="a3" args="" --><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">#define GDKGLEXTMM_INTERFACE_AGE&nbsp;&nbsp;&nbsp;(0)          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
    </td>
  </tr>
</table>
<a class="anchor" name="a0"></a><!-- doxytag: member="version.h::GDKGLEXTMM_MAJOR_VERSION" ref="a0" args="" --><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">#define GDKGLEXTMM_MAJOR_VERSION&nbsp;&nbsp;&nbsp;(1)          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
    </td>
  </tr>
</table>
<a class="anchor" name="a2"></a><!-- doxytag: member="version.h::GDKGLEXTMM_MICRO_VERSION" ref="a2" args="" --><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">#define GDKGLEXTMM_MICRO_VERSION&nbsp;&nbsp;&nbsp;(0)          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
    </td>
  </tr>
</table>
<a class="anchor" name="a1"></a><!-- doxytag: member="version.h::GDKGLEXTMM_MINOR_VERSION" ref="a1" args="" --><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">#define GDKGLEXTMM_MINOR_VERSION&nbsp;&nbsp;&nbsp;(2)          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
    </td>
  </tr>
</table>
<hr><h2>Variable Documentation</h2>
<a class="anchor" name="a10"></a><!-- doxytag: member="version.h::gdkglextmm_binary_age" ref="a10" args="" --><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">GDKMM_GL_VAR const int <a class="el" href="gdkglext_2gdkmm_2gl_2version_8h.html#a10">gdkglextmm_binary_age</a>          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
    </td>
  </tr>
</table>
<a class="anchor" name="a9"></a><!-- doxytag: member="version.h::gdkglextmm_interface_age" ref="a9" args="" --><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">GDKMM_GL_VAR const int <a class="el" href="gdkglext_2gdkmm_2gl_2version_8h.html#a9">gdkglextmm_interface_age</a>          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
    </td>
  </tr>
</table>
<a class="anchor" name="a6"></a><!-- doxytag: member="version.h::gdkglextmm_major_version" ref="a6" args="" --><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">GDKMM_GL_VAR const int <a class="el" href="gdkglext_2gdkmm_2gl_2version_8h.html#a6">gdkglextmm_major_version</a>          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
    </td>
  </tr>
</table>
<a class="anchor" name="a8"></a><!-- doxytag: member="version.h::gdkglextmm_micro_version" ref="a8" args="" --><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">GDKMM_GL_VAR const int <a class="el" href="gdkglext_2gdkmm_2gl_2version_8h.html#a8">gdkglextmm_micro_version</a>          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
    </td>
  </tr>
</table>
<a class="anchor" name="a7"></a><!-- doxytag: member="version.h::gdkglextmm_minor_version" ref="a7" args="" --><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">GDKMM_GL_VAR const int <a class="el" href="gdkglext_2gdkmm_2gl_2version_8h.html#a7">gdkglextmm_minor_version</a>          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
    </td>
  </tr>
</table>
<hr size="1"><address style="align: right;"><small>Generated on Mon Feb 27 18:47:32 2006 for gtkglextmm by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.4 </small></address>
</body>
</html>
